/**
 * Plugin for Plot to render a chart into the DOM.
 * For use in the browser.
 *
 * @packageDocumentation
 */
import { IPlotAPI } from "plot/build/plot-api";
import { IChart } from "@plotex/lib-apex";
declare module "plot/build/plot-api" {
    interface IPlotAPI {
        /**
         * Render the plot to a DOM node.
         */
        renderDOM(parentEl: HTMLElement): Promise<IChart>;
    }
    interface AbstractPlotAPI {
        /**
         * Render the plot to a DOM node.
         */
        renderDOM(parentEl: HTMLElement): Promise<IChart>;
    }
}
/**
 * Render the plot to a DOM node.
 */
export declare function renderDOM(this: IPlotAPI, parentEl: HTMLElement): Promise<IChart>;
//# sourceMappingURL=index.d.ts.map